EinblendungAK = {};

function EinblendungAK.prerequisitesPresent(specializations)
    return true;
end;
function EinblendungAK:load(xmlFile)

	self.setblends1Visibility = SpecializationUtil.callSpecializationsFunction("setblends1Visibility");
	
	self.blends1 = {};
        local i = 0;
        while true do
        local key = string.format("vehicle.blends1.blend1(%d)", i);
            if not hasXMLProperty(xmlFile, key) then
             break;
        end;
            local node = Utils.indexToObject(self.components, getXMLString(xmlFile, key.."#index"));
            if node ~= nil then
        setVisibility(node, false);
            table.insert(self.blends1, {node=node});
        end;
        i = i + 1;
        end;
    self.blends1Active = false;
end;
function EinblendungAK:delete()
end;
function EinblendungAK:readStream(streamId, connection)
	self.isLoading = true;
	local visibility = streamReadBool(streamId);
	self:setblends1Visibility(visibility, true);
	
end;
function EinblendungAK:writeStream(streamId, connection)
	streamWriteBool(streamId, self.blends1Active);
	
end;
function EinblendungAK:mouseEvent(posX, posY, isDown, isUp, button)
end;
function EinblendungAK:keyEvent(unicode, sym, modifier, isDown)
end;
function EinblendungAK:update(dt)

    if self:getIsActiveForInput() and self.isClient then
        if InputBinding.hasEvent(InputBinding.EinblendungAKEins) then
              self:setblends1Visibility(not self.blends1Active);
        end;
        
	end;
end;
function EinblendungAK:onLeave()
end;
function EinblendungAK:draw()
	g_currentMission:addHelpButtonText(g_i18n:getText("Einblendung1"),  InputBinding.EinblendungAKEins);
end;
function EinblendungAK:setblends1Visibility(visibility, noEventSend)
    if visibility ~= self.blends1Active then
  
        if noEventSend == nil or noEventSend == false then
            if g_server ~= nil then
                g_server:broadcastEvent(Setblends1Event:new(self, visibility), nil, nil, self);
            else
                g_client:getServerConnection():sendEvent(Setblends1Event:new(self, visibility));
            end;
        end;
  
        self.blends1Active = visibility;
  
        for _, blend1 in pairs(self.blends1) do
            setVisibility(blend1.node, visibility);
        end;
        for _,v in pairs(self.specializations) do
            if v.setblend1Visibility ~= nil then
                v.setblend1Visibility(self, visibility);
            end;
        end;
    end;
end;


